Skip to main content
GET
/
vector_stores
/
{vector_store_id}
/
files
Error
A valid request URL is required to generate request examples
{
  "object": "list",
  "data": [
    {
      "id": "<string>",
      "object": "vector_store.file",
      "usage_bytes": 123,
      "created_at": 123,
      "vector_store_id": "<string>",
      "status": "in_progress",
      "last_error": {
        "code": "server_error",
        "message": "<string>"
      },
      "chunking_strategy": {
        "type": "static"
      },
      "attributes": {}
    }
  ],
  "first_id": "<string>",
  "last_id": "<string>",
  "has_more": true
}

Authorizations

api-key
string
header
required

Path Parameters

vector_store_id
string
required

The ID of the vector store that the files belong to.

Query Parameters

api-version
enum<string>
default:v1

The explicit Azure AI Foundry Models API version to use for this request. v1 if not otherwise specified.

Available options:
v1,
preview
limit
integer<int32>
default:20

A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 20.

order
enum<string>

Sort order by the created_at timestamp of the objects. asc for ascending order anddesc for descending order.

Available options:
asc,
desc
after
string

A cursor for use in pagination. after is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include after=obj_foo in order to fetch the next page of the list.

before
string

A cursor for use in pagination. before is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include before=obj_foo in order to fetch the previous page of the list.

filter

Filter by file status. One of in_progress, completed, failed, cancelled.

Response

The request has succeeded.

object
enum<string>
required
Available options:
list
data
object[]
required
first_id
string
required
last_id
string
required
has_more
boolean
required